## com.google.appengine.api.datastore
Class EntityTranslator

    java.lang.Object
      com.google.appengine.api.datastore.EntityTranslator

    public class EntityTranslator

extends java.lang.Object

`EntityTranslator` contains the logic to translate an `Entity` into the protocol buffers that are used to pass it to the implementation of the API.

Method Summary
`static EntityProto` `convertToPb(Entity entity)`
`static Entity` `createFromPb(EntityProto proto)`
`static Entity` `createFromPbBytes(byte[] pbBytes)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createFromPb

    public static Entity createFromPb(EntityProto proto)

### createFromPbBytes

    public static Entity createFromPbBytes(byte[] pbBytes)

### convertToPb

    public static EntityProto convertToPb(Entity entity)